services:
  squash-tm-md:    
    image: mariadb:10.6
    container_name: squash-tm-md
    environment:
      MARIADB_ROOT_PASSWORD: ${DB_ROOT_PASSWORD}
      MARIADB_USER: ${DB_USERNAME}
      MARIADB_PASSWORD: ${DB_PASSWORD}
      MARIADB_DATABASE: ${DB_DATABASE}
    ports:
      - 3306:3306/tcp
    volumes:
      - "/var/lib/mysql-db:/var/lib/mysql" 
  
  squash-tm:
    image: squashtest/squash
    depends_on:
      - squash-tm-md
    environment:
      SQTM_DB_TYPE: ${DB_TYPE}
      SQTM_DB_USERNAME: ${DB_USERNAME}
      SQTM_DB_PASSWORD: ${DB_PASSWORD}
      SQTM_DB_NAME: ${DB_DATABASE}
      SQTM_DB_HOST: squash-tm-md
      SQTM_DB_PORT: "3306"
    ports:
      - 8080:8080/tcp
    volumes:
      - squash-tm-logs:/opt/squash-tm/logs
      # If you want to activate plugins
      #- your/path/start-plugins.cfg:/opt/squash-tm/conf/start-plugins.cfg 
volumes:
  squash-tm-logs:
